Package org.eclipse.emf.cdo.lm.util

# Interface LMMerger2

All Superinterfaces:
  `LMMerger`

public interface LMMerger2 extends LMMerger
Merges the commits of a source `change` into the `branch` of a target `stream` in order to create a `delivery`.

Note: The `mergeDelivery(LMMergeInfos)` method allows to augment the merge parameters in the future without breaking APIs.

Since:
  1.2
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static final class`
`LMMerger2.LMMergeInfos`
Encapsulates the `merge` parameters.

## Field Summary

### Fields inherited from interface org.eclipse.emf.cdo.lm.util.LMMerger

`CORE`

## Method Summary

Modifier and Type
Method
Description
`long`
`mergeDelivery(LMMerger2.LMMergeInfos infos)`
Merges the changes indicated by the given `merge infos` and returns the time stamp of the resulting commit into the merge target branch, or `CDOBranchPoint.INVALID_DATE` if no commit has happened.
`default long`
`mergeDelivery(CDOSession session, CDOBranchPoint sourceBranchPoint, CDOBranch targetBranch)`
Deprecated.
As of 1.2 implement `mergeDelivery(LMMergeInfos)`.

## Method Details

### mergeDelivery

long mergeDelivery(LMMerger2.LMMergeInfos infos)
Merges the changes indicated by the given `merge infos` and returns the time stamp of the resulting commit into the merge target branch, or `CDOBranchPoint.INVALID_DATE` if no commit has happened.

### mergeDelivery

@Deprecated default long mergeDelivery(CDOSession session, CDOBranchPoint sourceBranchPoint, CDOBranch targetBranch)
Deprecated.
As of 1.2 implement `mergeDelivery(LMMergeInfos)`.
Description copied from interface: `LMMerger`
Merges the changes from the given source branch point into the given target branch and returns the time stamp of the resulting commit into the merge target branch, or `CDOBranchPoint.INVALID_DATE` if no commit has happened.

Specified by:
  `mergeDelivery` in interface `LMMerger`